Выполнение произвольного PHP кода в phpScheduleIt

Дата публикации:
02.03.2009
Всего просмотров:
1747
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpScheduleIt 1.x
Уязвимые версии: phpScheduleIt версии до 1.2.11

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "start_date" и "end_date" в функции "process_reservation()" в сценариях reserve.php и check.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/phpscheduleit/

Решение: Установите последнюю версию 1.2.11 с сайта производителя.

Ссылки: http://sourceforge.net/project/shownotes.php?release_id=662749

или введите имя

CAPTCHA